#ifndef __C2_H__
#define __C2_H__

#define TRUE 1
#define FALSE 0
#include "time.h"

typedef struct {
  unsigned short width, height;
  char *offset;
} Font;

extern Font font[1];

extern const unsigned short explode[23110];//sounds
extern const unsigned short plink[313];
extern const unsigned short splat[7236];
extern const unsigned int BC[320][60];//pcx
extern const unsigned int INTRO[320][60];

extern char quit;
extern ubyte *vrscr, *backg, *pal, *pal2, *pobs, *hsscr;
extern unsigned char ground[320];

void load_hiscores(void);
void save_hiscores(void);
void init_objects(void);
void generate_ground(void);
void test_input(void);
void draw_output(void);
void draw_number(short x, short y, long n);
void load_pcx(char *filename, ubyte *mem, ubyte *pal);
void menu(void);
void intro(void);
void put_text(short x_pos, short y_pos, char *text, char font_nr, char *mem);
void hiscore_screen(void);
void draw_highscore(void);

#endif /*__C2_H__*/